package kr.co.compcareworker.Data.ImageList;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class ImageListData implements Serializable {
    @SerializedName("ck_idx")
    @Expose
    private String ckIdx;
    @SerializedName("ck_code")
    @Expose
    private String ckCode;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("qr_code")
    @Expose
    private Object qrCode;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("pt_name")
    @Expose
    private String ptName;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("cp_name")
    @Expose
    private String cpName;
    @SerializedName("mc_idx")
    @Expose
    private String mcIdx;
    @SerializedName("mc_name")
    @Expose
    private String mcName;
    @SerializedName("mc_airline")
    @Expose
    private String mcAirline;
    @SerializedName("ck_cont")
    @Expose
    private String ckCont;
    @SerializedName("ck_answer")
    @Expose
    private String ckAnswer;
    @SerializedName("ck_status")
    @Expose
    private String ckStatus;
    @SerializedName("mb_id")
    @Expose
    private String mbId;
    @SerializedName("mb_name")
    @Expose
    private String mbName;
    @SerializedName("mb_phone")
    @Expose
    private String mbPhone;
    @SerializedName("ok_dt")
    @Expose
    private String okDt;
    @SerializedName("ins_dt")
    @Expose
    private String insDt;
    @SerializedName("answer_id")
    @Expose
    private Object answerId;
    @SerializedName("answer_name")
    @Expose
    private Object answerName;
    @SerializedName("ck_status_str")
    @Expose
    private String ckStatusStr;
    @SerializedName("file_data")
    @Expose
    private List<FileDatum> fileData = null;

    public String getCkIdx() {
        return ckIdx;
    }

    public void setCkIdx(String ckIdx) {
        this.ckIdx = ckIdx;
    }

    public String getCkCode() {
        return ckCode;
    }

    public void setCkCode(String ckCode) {
        this.ckCode = ckCode;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public Object getQrCode() {
        return qrCode;
    }

    public void setQrCode(Object qrCode) {
        this.qrCode = qrCode;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getPtName() {
        return ptName;
    }

    public void setPtName(String ptName) {
        this.ptName = ptName;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getCpName() {
        return cpName;
    }

    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    public String getMcIdx() {
        return mcIdx;
    }

    public void setMcIdx(String mcIdx) {
        this.mcIdx = mcIdx;
    }

    public String getMcName() {
        return mcName;
    }

    public void setMcName(String mcName) {
        this.mcName = mcName;
    }

    public String getMcAirline() {
        return mcAirline;
    }

    public void setMcAirline(String mcAirline) {
        this.mcAirline = mcAirline;
    }

    public String getCkCont() {
        return ckCont;
    }

    public void setCkCont(String ckCont) {
        this.ckCont = ckCont;
    }

    public String getCkAnswer() {
        return ckAnswer;
    }

    public void setCkAnswer(String ckAnswer) {
        this.ckAnswer = ckAnswer;
    }

    public String getCkStatus() {
        return ckStatus;
    }

    public void setCkStatus(String ckStatus) {
        this.ckStatus = ckStatus;
    }

    public String getMbId() {
        return mbId;
    }

    public void setMbId(String mbId) {
        this.mbId = mbId;
    }

    public String getMbName() {
        return mbName;
    }

    public void setMbName(String mbName) {
        this.mbName = mbName;
    }

    public String getMbPhone() {
        return mbPhone;
    }

    public void setMbPhone(String mbPhone) {
        this.mbPhone = mbPhone;
    }

    public String getOkDt() {
        return okDt;
    }

    public void setOkDt(String okDt) {
        this.okDt = okDt;
    }

    public String getInsDt() {
        return insDt;
    }

    public void setInsDt(String insDt) {
        this.insDt = insDt;
    }

    public Object getAnswerId() {
        return answerId;
    }

    public void setAnswerId(Object answerId) {
        this.answerId = answerId;
    }

    public Object getAnswerName() {
        return answerName;
    }

    public void setAnswerName(Object answerName) {
        this.answerName = answerName;
    }

    public String getCkStatusStr() {
        return ckStatusStr;
    }

    public void setCkStatusStr(String ckStatusStr) {
        this.ckStatusStr = ckStatusStr;
    }

    public List<FileDatum> getFileData() {
        return fileData;
    }

    public void setFileData(List<FileDatum> fileData) {
        this.fileData = fileData;
    }

}
